# SingleRole QML Type

Base type for the SortFilterProxyModel proxy roles defining a single role. More...

Import Statement: | import SortFilterProxyModel .
Inherits: | ProxyRole
Inherited By: | ExpressionRole, FilterRole, JoinRole, and SwitchRole

- List of all members, including inherited members

## Properties

- name : string

## Detailed Description

SingleRole is a convenience base class for proxy roles who define a single role. It cannot be used directly in a QML file. It exists to provide a set of common properties and methods, available across all the other proxy role types that inherit from it. Attempting to use the SingleRole type directly will result in an error.

## Property Documentation

name : string

This property holds the role name of the proxy role.